%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 6
%define gmajor 1.0
%define libname %mklibname matekbd %{major}
%define girname %mklibname matekbd-gir %{gmajor}
%define develname %mklibname -d matekbd

Summary: MATE keyboard libraries
Name:    libmatekbd
Version: 1.28.0
Release: %mkrel 1
License: LGPLv2+
Group:   System/Libraries
URL:     https://mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: intltool
BuildRequires: libxml2-utils
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(gio-2.0)

%description
Files used by the MATE keyboard library.

%package -n %{libname}
Summary: Dynamic libraries for MATE applications
Group: System/Libraries
Requires: %{name} >= %{version}

%description -n %{libname}
MATE keyboard library.

%package -n %{girname}
Summary: GObject Introspection interface description for Matekdb
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Matekdb.

%package -n %{develname}
Summary: Development files and headers for %{name}
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}

%description -n %{develname}
Development files and headers needed in order to develop
applications using the MATE keyboard library.

%prep
%autosetup

%build
%configure \
   --disable-static          \
   --disable-schemas-compile \
   --enable-introspection    \
   --with-x
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml

%files -n %{libname}
%{_libdir}/libmatekbd*.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Matekbd-%{gmajor}.typelib

%files -n %{develname}
%{_includedir}/libmatekbd
%{_datadir}/gir-1.0/Matekbd-%{gmajor}.gir
%{_libdir}/pkgconfig/libmatekbd.pc
%{_libdir}/pkgconfig/libmatekbdui.pc
%{_libdir}/libmatekbdui.so
%{_libdir}/libmatekbd.so


%changelog
* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051709
- new version 1.28.0
- new lib major 6

* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959811
- Update to version 1.26.1

* Wed Mar 30 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1835607
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740019
- new version 1.26.0

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618690
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547910
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488698
- Fix files list
- BR libxml2-utils
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375482
- Update to version 1.22.0

* Sat Dec 01 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337298
- Update to version 1.20.2

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1298977
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201330
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1187391
- Updated to 1.19.1 version

* Fri Oct 27 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174298
- Updated to 1.19.0 version

* Mon Apr 10 2017 tarakbumba <tarakbumba> 1.18.2-1.mga6
+ Revision: 1096309
- Update to 1.18.2 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092529
- Update to 1.18.0 version
- Update to 1.17.0 version
- Clean gtk2 references from specfile

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074642
- new version 1.16.0
- build with gtk3
- enable gi

* Sun May 22 2016 tarakbumba <tarakbumba> 1.14.1-1.mga6
+ Revision: 1017821
- Update to 1.14.1 version

* Wed Apr 13 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001149
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942217
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908070
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898495
-Update to 1.12.0 version

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 836939
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 739720
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.0-3.mga5
+ Revision: 726735
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 681590
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600072
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598038
- Update to 1.7.x version

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563844
-Update to new bugfix version: 1.6.2

* Fri Dec 06 2013 tarakbumba <tarakbumba> 1.6.1-3.mga4
+ Revision: 555736
- Fix explicit declaration of internal libxklavier functions (upstream)

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531028
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 461633
- New bugfix version
- imported package libmatekbd

